Skip to main content
GET
/
customers
/
{uuid}
/
addresses
/
{address_uuid}
Get customer address
curl --request GET \
  --url https://{subdomain}.truust.io/2.0/customers/{uuid}/addresses/{address_uuid} \
  --header 'Authorization: Bearer <token>'
{
  "id": 123,
  "self": "<string>",
  "uuid": "<string>",
  "name": "<string>",
  "email": "<string>",
  "prefix": "<string>",
  "phone": "<string>",
  "line1": "<string>",
  "line2": "<string>",
  "city": "<string>",
  "state": "<string>",
  "country": "<string>",
  "zip_code": "<string>",
  "tag": "<string>",
  "metadata": {},
  "created_at": "2023-11-07T05:31:56Z",
  "connections": {}
}

Documentation Index

Fetch the complete documentation index at: https://docs.truust.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use your account's Secret Key as the Bearer token.

Path Parameters

uuid
string
required

Customer UUID.

address_uuid
string
required

Response

200 - application/json

Address details

id
integer
self
string | null
uuid
string
name
string | null
email
string | null
prefix
string | null
phone
string | null
line1
string | null
line2
string | null
city
string | null
state
string | null
country
string | null
zip_code
string | null
tag
string | null
metadata
object
created_at
string<date-time> | null
connections
object

Hypermedia links to related resources.